# FlashFloppy

A retro floppy emulator for the ubiquitous Gotek hardware.
- Directly supports a wide range of image formats:
  - HFE, HFEv3 (Universal)
  - ADF (Commodore Amiga)
  - ADM, ADL (Acorn ADFS)
  - DSK (Amstrad CPC, Spectrum +3)
  - IMG/IMA (IBM MFM Raw Sector)
  - ST (Atari ST)
- Pre-configured track layouts for Raw Sector Images:
  - Akai synths (eg. S01, S20, S950)
  - IBM PC and many others
- No configuration required! Just dump images into the root
  of an empty USB stick.
- Compatible with the HxC ecosystem: Autoboot and Indexed
  modes supported, and HFE image files.

## Download
- [**Download FlashFloppy**](https://github.com/keirf/FlashFloppy/wiki/Downloads)

## Documentation
- [**Read the GitHub Wiki**](https://github.com/keirf/FlashFloppy/wiki)

## Redistribution

Most code is public domain; the rest is MIT/BSD (see the
[COPYING](COPYING) file).

The source code, and all binary releases, are freely redistributable
in any form. Because FlashFloppy includes third-party code under
MIT/BSD license, you should include or link to the [COPYING](COPYING)
file in any redistribution.

This means, for example, you are free to sell and profit from Gotek
devices programmed with a binary release of FlashFloppy. However **at
a minimum** you should incorporate or link to the [COPYING](COPYING)
file on your selling page. For example:
- FlashFloppy is free software. For more information see the
  [license](COPYING).

## Donations

Although FlashFloppy is Free Software, some people have expressed a
wish to make a donation for using and distributing it. If this
includes you please feel free to make that donation to a charity of your
choice. Money sent directly to me is donated to
[Macmillan Cancer Support](https://www.macmillan.org.uk/donate)
in the UK.

A couple of redistributors have chosen to donate 1GBP/1EUR to charity
for each unit they sell. I appreciate this lovely gesture but as with
end-user donations it is entirely at their discretion. FlashFloppy
will always be Free.
